ALSA project - the C library reference: Access Mask Functions

ALSA project - the C library reference

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Functions
Access Mask Functions
PCM Interface

## Macros
#define | snd_pcm_access_mask_alloca(ptr)
| allocate an empty snd_pcm_access_mask_t using standard alloca More...

## Functions
size_t | snd_pcm_access_mask_sizeof (void)
| get size of snd_pcm_access_mask_t More...
int | snd_pcm_access_mask_malloc (snd_pcm_access_mask_t **ptr)
| allocate an empty snd_pcm_access_mask_t using standard malloc More...
void | snd_pcm_access_mask_free (snd_pcm_access_mask_t *obj)
| frees a previously allocated snd_pcm_access_mask_t More...
void | snd_pcm_access_mask_copy (snd_pcm_access_mask_t *dst, const snd_pcm_access_mask_t *src)
| copy one snd_pcm_access_mask_t to another More...
void | snd_pcm_access_mask_none (snd_pcm_access_mask_t *mask)
| reset all bits in a snd_pcm_access_mask_t More...
void | snd_pcm_access_mask_any (snd_pcm_access_mask_t *mask)
| set all bits in a snd_pcm_access_mask_t More...
int | snd_pcm_access_mask_test (const snd_pcm_access_mask_t *mask, snd_pcm_access_t val)
| test the presence of an access type in a snd_pcm_access_mask_t More...
int | snd_pcm_access_mask_empty (const snd_pcm_access_mask_t *mask)
| test, if given a snd_pcm_access_mask_t is empty More...
void | snd_pcm_access_mask_set (snd_pcm_access_mask_t *mask, snd_pcm_access_t val)
| make an access type present in a snd_pcm_access_mask_t More...
void | snd_pcm_access_mask_reset (snd_pcm_access_mask_t *mask, snd_pcm_access_t val)
| make an access type missing from a snd_pcm_access_mask_t More...

## Detailed Description

See the PCM (digital audio) interface page for more details.

## Macro Definition Documentation

#define snd_pcm_access_mask_alloca | ( |  | ptr | ) |

allocate an empty snd_pcm_access_mask_t using standard alloca

Parameters

  ptr | returned pointer

## Function Documentation

void snd_pcm_access_mask_any | ( | snd_pcm_access_mask_t * | mask | ) |

set all bits in a snd_pcm_access_mask_t

Parameters

  mask | pointer to mask

void snd_pcm_access_mask_copy | ( | snd_pcm_access_mask_t * | dst,
|  | const snd_pcm_access_mask_t * | src
| ) |  |

copy one snd_pcm_access_mask_t to another

Parameters

  dst | pointer to destination
  src | pointer to source

int snd_pcm_access_mask_empty | ( | const snd_pcm_access_mask_t * | mask | ) |

test, if given a snd_pcm_access_mask_t is empty

Parameters

  mask | pointer to mask

Return values

  0 | not empty
  1 | empty

void snd_pcm_access_mask_free | ( | snd_pcm_access_mask_t * | obj | ) |

frees a previously allocated snd_pcm_access_mask_t

Parameters

  obj | pointer to object to free

int snd_pcm_access_mask_malloc | ( | snd_pcm_access_mask_t ** | ptr | ) |

allocate an empty snd_pcm_access_mask_t using standard malloc

Parameters

  ptr | returned pointer

Returns
  0 on success otherwise negative error code

void snd_pcm_access_mask_none | ( | snd_pcm_access_mask_t * | mask | ) |

reset all bits in a snd_pcm_access_mask_t

Parameters

  mask | pointer to mask

void snd_pcm_access_mask_reset | ( | snd_pcm_access_mask_t * | mask,
|  | snd_pcm_access_t | val
| ) |  |

make an access type missing from a snd_pcm_access_mask_t

Parameters

  mask | pointer to mask
  val | access type

void snd_pcm_access_mask_set | ( | snd_pcm_access_mask_t * | mask,
|  | snd_pcm_access_t | val
| ) |  |

make an access type present in a snd_pcm_access_mask_t

Parameters

  mask | pointer to mask
  val | access type

size_t snd_pcm_access_mask_sizeof | ( | void |  | ) |

get size of snd_pcm_access_mask_t

Returns
  size in bytes

int snd_pcm_access_mask_test | ( | const snd_pcm_access_mask_t * | mask,
|  | snd_pcm_access_t | val
| ) |  |

test the presence of an access type in a snd_pcm_access_mask_t

Parameters

  mask | pointer to mask
  val | access type